import {
		useHttp
	} from '@/tools/http';
	const {
		isLoading,
		sendRequest
	} = useHttp();
	//let Url='http://changchuntongyuan-fz-local'
	let Url='https://ccty-fz.sixinyun.com';
	let BaseUrl=Url+'/api/'
	
	export const BaseFileUrl=()=>{
		return Url;
	}
	//登录授权
	export const WXGetOpenid =   (data) =>  {
			return  sendRequest({url: BaseUrl+"WXGetOpenid",method: 'POST',data:data});
	}
	//添加会员
	export const PersonSave =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/PersonSave",method: 'POST',data:data});
	}
	//获取名下会员列表
	export const PersonGetList =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/PersonGetList",method: 'POST',data:data});
	}
 
	export const PersonGetDetail =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/PersonGetDetail",method: 'POST',data:data});
	}
	export const PersonDel =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/PersonDel",method: 'POST',data:data});
	}
 
	export const FenZhenGetTiJianLine =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/FenZhenGetTiJianLine",method: 'POST',data:data});
	}
	//获取会员详情
	export const MemberGetDetail =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/MemberGetDetail",method: 'POST',data:data});
	}
	//获取用户信息
	export const GetUserInfo =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/GetUserInfo",method: 'POST',data:data});
	}
	//消费
	export const MemberExpend =   (data) =>  {
			return  sendRequest({url: BaseUrl+"v1/H5/MemberExpend",method: 'POST',data:data});
	}